/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\leviathan artifacts\SuitOfArmor.cs
Lines of code: 40
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	[FlipableAttribute( 15785, 15786 )] 
	public class SuitOfArmor : Item
	{
		[Constructable]
		public SuitOfArmor() : base( 15786 )
		{
			switch ( Utility.Random( 8 ) )
			{
				default:
				case 0: Hue = 2419; break;
				case 1: Hue = 2406; break;
				case 2: Hue = 2413; break;
				case 3: Hue = 2418; break;
				case 4: Hue = 2213; break;
				case 5: Hue = 2425; break;
				case 6: Hue = 2207; break;
				case 7: Hue = 2219; break;
			}
			
			Name = "A Suit of Armor"; 
			Weight = 15.0;
		}

		public SuitOfArmor( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}